<nz-page-header nzBackIcon>
  <nz-breadcrumb nz-page-header-breadcrumb>
    <nz-breadcrumb-item>{{ 'Social.Newspaper.Newspaper' | translate }}</nz-breadcrumb-item>
    <nz-breadcrumb-item>
      <a [routerLink]="['/newspaper', newspaper?.id]">{{ newspaper?.name }}</a>
    </nz-breadcrumb-item>
    <nz-breadcrumb-item>{{ 'Social.Newspaper.Articles' | translate }}</nz-breadcrumb-item>
  </nz-breadcrumb>
  <nz-page-header-title>
    {{ 'Citizen.Newspaper.CreateArticle' | translate }}
  </nz-page-header-title>
  <nz-page-header-extra>

    <button *ngIf="article" nz-button nzShape="round" nzType="primary" [disabled]="!article.title || !article.content" [nzLoading]="isLoading"
      nzShape="round" (click)="save()">
      {{ 'Citizen.Newspaper.SaveDraft' | translate }}
    </button>
    <button style="margin-left: 10px" *ngIf="article && article.isPublished === false" nzShape="round" nz-button nzType="primary"
      nzShape="round" [nzLoading]="isLoading" (click)="publish()">
      {{ 'Citizen.Newspaper.PublishToWorld' | translate }}!
    </button>

    <a href="https://wiki.vpopulus.net/en/Article" target="_blank" style="margin-left: 10px">
      <button nz-button nzShape="round" nz-tooltip nzTooltipTitle="Wiki" class="button-wiki">
        <span nz-icon nzType="info-circle" nzTheme="outline"></span>
      </button>
    </a>
  </nz-page-header-extra>
</nz-page-header>
<nz-divider></nz-divider>

<div nz-row nzGutter="6">
  <div nz-col nzSpan="12">
    <h4>{{ 'Social.Title' | translate }}</h4>
    <input *ngIf="article" nz-input [placeholder]="'Social.Title' | translate" [(ngModel)]="article.title" />
  </div>
  <div nz-col nzSpan="12">
    <h4>{{ 'Social.TargetAudience' | translate }}</h4>
    <nz-select *ngIf="article" [(ngModel)]="article.targetAudience" style="width: 100%">
      <nz-option nzValue="public" [nzLabel]="'Social.Newspaper.Public' | translate"></nz-option>
      <nz-option nzValue="subscribers" [nzLabel]="'Social.Newspaper.Subscribers' | translate"></nz-option>
    </nz-select>
  </div>
</div>



<h4>{{ 'Social.Content' | translate }}</h4>
<div id="editorMdDiv"></div>

<div nz-row nzGutter="12" style="margin-top: 5px" nzJustify="space-around">
  <div nz-col nzSpan="24" style="text-align: center;">
    <button nz-button nzShape="round" nzType="primary" [nzLoading]="isLoading" (click)="preview()">
      {{ 'Citizen.Newspaper.Preview' | translate }}
    </button>

  </div>
</div>